Bug 1649766 - User input handled incorrectly in preview
Summary: User input handled incorrectly in preview
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Marek Hulan
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 13:36 UTC by Lukáš Hellebrandt
Modified: 2019-10-07 17:20 UTC (History)
4 users (show)

Fixed In Version: foreman-1.20.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:58 UTC
Foreman Issue Tracker 25466 None None None 2018-11-14 15:02:17 UTC

Description Lukáš Hellebrandt 2018-11-14 13:36:02 UTC
Description of problem:
When trying to preview a report, user input is handled incorrectly. Its value is probably not passed or plainly wrong. In default templates, this leads to empty dataset. When I remove the search from the default template, preview shows full dataset. When generating report normally, user input works.

Version-Release number of selected component (if applicable):
Reproduced on Sat 6.5 snap 3

How reproducible:
Deterministic

Steps to Reproduce:
1. Monitoring -> Report Templates -> <some_default_template> -> Preview

Actual results:
Empty dataset

Expected results:
Dataset for the selected host

Comment 1 Marek Hulan 2018-11-14 13:40:58 UTC
As described in inputs help, if input is not ready, it's replaced with "$USER_INPUT['name']" string. Of course that's not a valid syntax for searching. This is limitation known from older Satellite versions, I'd suggest turning this into RFE for "allowing specify custom values for user inputs when previewing template" or "define sample preview value at input definition" based on what you'd prefer as a solution.

Comment 2 Lukáš Hellebrandt 2018-11-14 13:56:49 UTC
Does this mean preview won't work for most of the templates using user input?

Comment 3 Marek Hulan 2018-11-14 14:25:58 UTC
Preview works, but if the user input is used the way all our default templates use it - for searching the records - the result will always be empty. But I understand, the fact you're seeing empty result for preview is not very useful. We could disable the preview for 6.5, but that would probably be worse. After short conversation on IRC, it seems for 6.5 it would be reasonable to use empty string as a value in preview. We need to check whether it will be compatible with REX templates.

Comment 4 Marek Hulan 2018-11-14 15:02:15 UTC
Created redmine issue https://projects.theforeman.org/issues/25466 from this bug

Comment 6 pm-sat@redhat.com 2018-11-14 17:04:50 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 7 pm-sat@redhat.com 2018-11-14 17:04:52 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 9 Lukáš Hellebrandt 2018-12-11 15:27:41 UTC
Verified with Sat 6.5 snap 7 using reproducer from OP.

Comment 11 errata-xmlrpc 2019-05-14 12:38:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.